## org.apache.mahout.cf.taste.hadoop.item
Class ToVectorAndPrefReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<VarIntWritable,VectorOrPrefWritable,VarIntWritable,VectorAndPrefsWritable>
          org.apache.mahout.cf.taste.hadoop.item.ToVectorAndPrefReducer

    public final class ToVectorAndPrefReducer

extends org.apache.hadoop.mapreduce.Reducer<VarIntWritable,VectorOrPrefWritable,VarIntWritable,VectorAndPrefsWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`ToVectorAndPrefReducer()`

Method Summary
`protected void` `reduce(VarIntWritable key, Iterable<VectorOrPrefWritable> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToVectorAndPrefReducer

    public ToVectorAndPrefReducer()

Method Detail

### reduce

    protected void reduce(VarIntWritable key,
                          Iterable<VectorOrPrefWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<VarIntWritable,VectorOrPrefWritable,VarIntWritable,VectorAndPrefsWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.